Get quotes (v1)
Returns price, change, day range, volume, bid and ask, market cap, 52-week range, P/E, EPS and dividend yield for up to 50 tickers at once. Unknown tickers are listed in missing.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
symbols*string
Up to 50 comma-separated tickers or finance.yahoo.com quote links, mixing stocks, ETFs, indexes, currencies and crypto. Find a ticker by name with Search.
Length
length <= 2000curl -X GET "https://example.com/v1/yahoo-finance/quote?symbols=AAPL%2CBRK-B%2CRELIANCE.NS%2C%5EGSPC%2CBTC-USD" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "count": 5, "results": [ { "symbol": "AAPL", "name": "Apple Inc.", "type": "EQUITY", "exchange": "NMS", "exchange_name": "NasdaqGS", "currency": "USD", "market_state": "REGULAR", "price": 343.17, "change": -6.34, "change_percent": -1.81, "previous_close": 0, "open": 0, "day_high": 0, "day_low": 0, "volume": 0, "average_volume_3m": 0, "average_volume_10d": 0, "bid": 0, "ask": 0, "bid_size": 0, "ask_size": 0, "pre_market_price": 0, "pre_market_change_percent": 1.27, "post_market_price": 0, "post_market_change_percent": 0.4, "market_cap": 5038000000000, "shares_outstanding": 0, "fifty_two_week_high": 0, "fifty_two_week_low": 0, "fifty_two_week_change_percent": 29.56, "fifty_day_average": 0, "two_hundred_day_average": 0, "trailing_pe": 0, "forward_pe": 0, "eps_trailing_12m": 0, "eps_forward": 0, "dividend_rate": 0, "dividend_yield_percent": 0.31, "analyst_rating": "2.2 - Buy", "earnings_at": "2026-11-05T21:00:00Z", "circulating_supply": 0, "volume_24h": 0, "exchange_timezone": "America/New_York", "market_time": "2026-11-05T21:00:00Z", "delay_minutes": 0 } ], "missing": [ "ZZZZQX" ] }, "details": { "reason": "string", "message": "string" }}